.task-template {
    background: linear-gradient(173.84deg, #FF7628 41.94%, #CC1817 114.38%);
    font-family: Montserrat, Arial, sans-serif;
    min-height: 100dvh;
    margin: 0 auto;
    color: #fff;
}

.task-template * {
    box-sizing: border-box;
}

.task-page {
    width: 100%;
    max-width: 640px;
    min-height: 100dvh;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.task-page__container {
    width: 100%;
    max-width: 640px;
    flex: 0 0 auto;
    margin: 0 auto;
    padding: 0 20px ;
}

.task-page__heart-counter {
    display: flex;
    justify-content: center;

    margin-right: 16px;
    align-items: center;
}



.task-page__card-container{
    width: 100%;
    background: #fff;
    display: flex;
    flex-direction: column;
    height: auto;
    gap: 16px;
    border-radius: 12px 12px 0 0 ;

    /*padding: 20px 20px 0;*/
    padding: 20px 20px 40px;
    flex: 1 1 auto;
}



.task-page__content_container{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;

    margin-top: 26px;
    margin-bottom: 12px;


}
.task-page__buttons{
    display: flex;
    gap: 8px;
}


.task-page__reload-btn {
    display: flex;
    background: linear-gradient(90deg, #00BE39 0%, #00730D 100%);
    padding: 12px 16px;
    justify-content: space-between;
    align-items: center;

    font-family: Montserrat, serif;
    font-weight: 600;
    font-size: 14px;
    line-height: 100%;
    letter-spacing: 0;
    color: #FFFFFF;
    border: none;
    border-radius: 10px;


}



.task-page__button_done{
    background: #FFFFFF33;
    backdrop-filter: blur(8px);
    border-radius: 8px;
    padding: 8px 16px;

    font-family: Montserrat, serif;
    font-weight: 700;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0 ;
    text-align: center;
    color: white;
    border: none;
    max-height: 32px;
    height: 100%;
}

.task-page__button_active{
    background: radial-gradient(94.66% 75.83% at 50% 107.28%, #60BCFF 0%, #31A4F8 100%);
    border-radius: 8px;
    padding: 8px 16px;

    font-family: Montserrat, serif;
    font-weight: 700;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0 ;
    text-align: center;
    color: white;
    border: none;
    max-height: 32px;
    height: 100%;

}



/* заглушка */

.task-page__empty{
    display: flex;

    flex-direction: column;
    align-items: center;
    justify-content: center;

    height: 100%;
    flex: 1 1 auto;

    color: #00000099;
}
.task-page__empty-text-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}
.task-page__empty-text {
    font-family: Montserrat, serif;
    font-weight: 500;

    font-size: 14px;

    line-height: 18px;
    letter-spacing: 0;
    text-align: center;
    margin: 0;


}

.task-page__empty-img {
    width: 100%;
    height: auto;
    max-width: 132px;
}